Page MenuHomePhabricator

BGP configuration error when using remove-private-as
Closed, ResolvedPublicBUG

Description

There seems to be a bug in VyOS 1.2.2 and 1.2.3-epa1 where you can't set "remove-private-as" because VyOS somehow thinks you are setting up an iBGP session. This bug can be reproduced with a very simple configuration:

set protocols bgp 1000 neighbor 10.0.0.1 remote-as 2000
set protocols bgp 1000 neighbor 10.0.0.1 address-family ipv4-unicast remove-private-as

When you try to commit these commands, you get:

[ protocols bgp 1000 neighbor 10.0.0.1 address-family ipv4-unicast remove-private-as ]
you can't set remove-private-as for an ibgp peer

[[protocols bgp 1000]] failed

It won't even work if you configure a specific local AS for this neighbor:

set protocols bgp 1000 neighbor 10.0.0.1 local-as 1000

If you need more information, let me know.

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.2.3-epa1
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

rcit created this task.Sep 9 2019, 12:16 PM
dmbaturin edited projects, added VyOS 1.2 Crux (VyOS 1.2.3); removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Sep 9 2019, 4:31 PM
dmbaturin changed the task status from Open to Needs testing.Sep 11 2019, 10:11 PM
rcit added a comment.Sep 30 2019, 4:03 PM

This is working again in VyOS 1.2.3 GA. I have tested both the simple configuration mentioned above and my actual configuration with a bunch of BGP peers. Thank you very much!

syncer closed this task as Resolved.Sep 30 2019, 4:07 PM
syncer triaged this task as Normal priority.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.3) board.
syncer added a project: VyOS 1.3 Equuleus.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.